OroCRM\Bundle\CampaignBundle\Entity\Campaign:
    alias: orocrm_campaign
    title_fields: [name]
    label: orocrm.campaign.entity_plural_label
    route:
        name: orocrm_campaign_view
        parameters:
            id: id
    search_template: OroCRMCampaignBundle:Campaign:searchResult.html.twig
    fields:
        -
            name:                   name
            target_type:            text
            target_fields:          [name]
        -
            name:                   description
            target_type:            text
            target_fields:          [description]
        -
            name:                   code
            target_type:            text
            target_fields:          [code]

OroCRM\Bundle\CampaignBundle\Entity\EmailCampaign:
    alias: orocrm_email_campaign
    title_fields: [name]
    label: orocrm.email_campaign.entity_plural_label
    route:
        name: orocrm_email_campaign_view
        parameters:
            id: id
    search_template: OroCRMCampaignBundle:EmailCampaign:searchResult.html.twig
    fields:
        -
            name:                   name
            target_type:            text
            target_fields:          [name]
        -
            name:                   description
            target_type:            text
            target_fields:          [description]
        -
            name:                   campaign
            relation_type:          many-to-one
            relation_fields:
                -
                    name: name
                    target_type: text
                    target_fields: [name]
        -
            name:                   marketingList
            relation_type:          many-to-one
            relation_fields:
                -
                    name: name
                    target_type: text
                    target_fields: [name]
